--- old/usr/src/uts/common/os/fork.c	2014-07-28 07:44:49.307241790 -0400
+++ new/usr/src/uts/common/os/fork.c	2014-07-28 07:44:49.313197192 -0400
@@ -274,7 +274,7 @@
 			tk = cp->p_task;
 			task_detach(cp);
 			ASSERT(cp->p_pool->pool_ref > 0);
-			atomic_add_32(&cp->p_pool->pool_ref, -1);
+			atomic_dec_32(&cp->p_pool->pool_ref);
 			mutex_exit(&cp->p_lock);
 			pid_exit(cp, tk);
 			mutex_exit(&pidlock);
@@ -628,7 +628,7 @@
 	tk = cp->p_task;
 	task_detach(cp);
 	ASSERT(cp->p_pool->pool_ref > 0);
-	atomic_add_32(&cp->p_pool->pool_ref, -1);
+	atomic_dec_32(&cp->p_pool->pool_ref);
 	mutex_exit(&cp->p_lock);
 
 	orphpp = &p->p_orphan;
@@ -1128,7 +1128,7 @@
 	} else {
 		cp->p_pool = pp->p_pool;
 	}
-	atomic_add_32(&cp->p_pool->pool_ref, 1);
+	atomic_inc_32(&cp->p_pool->pool_ref);
 	mutex_exit(&pp->p_lock);
 
 	/*
--- old/usr/src/uts/common/os/kcpc.c	2014-07-28 07:44:49.521428556 -0400
+++ new/usr/src/uts/common/os/kcpc.c	2014-07-28 07:44:49.527393224 -0400
@@ -938,7 +938,7 @@
 	if (t->t_flag & T_INTR_THREAD) {
 		klwp_t *lwp;
 
-		atomic_add_32(&kcpc_intrctx_count, 1);
+		atomic_inc_32(&kcpc_intrctx_count);
 
 		/*
 		 * Note that t_lwp is always set to point at the underlying
@@ -1008,7 +1008,7 @@
 		cmn_err(CE_NOTE,
 		    "null cpc context found in overflow handler!\n");
 #endif
-		atomic_add_32(&kcpc_nullctx_count, 1);
+		atomic_inc_32(&kcpc_nullctx_count);
 	} else if ((ctx->kc_flags & KCPC_CTX_INVALID) == 0) {
 		/*
 		 * Schedule an ast to sample the counters, which will
--- old/usr/src/uts/common/os/klpd.c	2014-07-28 07:44:49.767729565 -0400
+++ new/usr/src/uts/common/os/klpd.c	2014-07-28 07:44:49.773652628 -0400
@@ -87,7 +87,7 @@
 void
 klpd_rele(klpd_reg_t *p)
 {
-	if (atomic_add_32_nv(&p->klpd_ref, -1) == 0) {
+	if (atomic_dec_32_nv(&p->klpd_ref) == 0) {
 		if (p->klpd_refp != NULL)
 			klpd_unlink(p);
 		if (p->klpd_cred != NULL)
@@ -116,7 +116,7 @@
 static void
 klpd_hold(klpd_reg_t *p)
 {
-	atomic_add_32(&p->klpd_ref, 1);
+	atomic_inc_32(&p->klpd_ref);
 }
 
 /*
@@ -350,7 +350,7 @@
 	 */
 	if (mutex_owned(&pidlock) || mutex_owned(&curproc->p_lock) ||
 	    mutex_owned(&curproc->p_crlock)) {
-		atomic_add_32(&klpd_bad_locks, 1);
+		atomic_inc_32(&klpd_bad_locks);
 		return (-1);
 	}
 
@@ -674,13 +674,13 @@
 void
 crklpd_hold(credklpd_t *crkpd)
 {
-	atomic_add_32(&crkpd->crkl_ref, 1);
+	atomic_inc_32(&crkpd->crkl_ref);
 }
 
 void
 crklpd_rele(credklpd_t *crkpd)
 {
-	if (atomic_add_32_nv(&crkpd->crkl_ref, -1) == 0) {
+	if (atomic_dec_32_nv(&crkpd->crkl_ref) == 0) {
 		if (crkpd->crkl_reg != NULL)
 			klpd_rele(crkpd->crkl_reg);
 		mutex_destroy(&crkpd->crkl_lock);
--- old/usr/src/uts/common/os/kmem.c	2014-07-28 07:44:49.969786370 -0400
+++ new/usr/src/uts/common/os/kmem.c	2014-07-28 07:44:49.975973241 -0400
@@ -1626,7 +1626,7 @@
 vmem_alloc_failure:
 
 	kmem_log_event(kmem_failure_log, cp, NULL, NULL);
-	atomic_add_64(&cp->cache_alloc_fail, 1);
+	atomic_inc_64(&cp->cache_alloc_fail);
 
 	return (NULL);
 }
@@ -1995,7 +1995,7 @@
 
 	if (mtbf || (construct && cp->cache_constructor != NULL &&
 	    cp->cache_constructor(buf, cp->cache_private, kmflag) != 0)) {
-		atomic_add_64(&cp->cache_alloc_fail, 1);
+		atomic_inc_64(&cp->cache_alloc_fail);
 		btp->bt_bxstat = (intptr_t)bcp ^ KMEM_BUFTAG_FREE;
 		if (cp->cache_flags & KMF_DEADBEEF)
 			copy_pattern(KMEM_FREE_PATTERN, buf, cp->cache_verify);
@@ -2603,7 +2603,7 @@
 
 	if (cp->cache_constructor != NULL &&
 	    cp->cache_constructor(buf, cp->cache_private, kmflag) != 0) {
-		atomic_add_64(&cp->cache_alloc_fail, 1);
+		atomic_inc_64(&cp->cache_alloc_fail);
 		kmem_slab_free(cp, buf);
 		return (NULL);
 	}
@@ -4877,7 +4877,7 @@
 	} else if (cp->cache_constructor != NULL &&
 	    cp->cache_constructor(callback->kmm_to_buf, cp->cache_private,
 	    KM_NOSLEEP) != 0) {
-		atomic_add_64(&cp->cache_alloc_fail, 1);
+		atomic_inc_64(&cp->cache_alloc_fail);
 		KMEM_STAT_ADD(kmem_move_stats.kms_constructor_fail);
 		kmem_slab_free(cp, callback->kmm_to_buf);
 		kmem_move_end(cp, callback);
--- old/usr/src/uts/common/os/lgrp.c	2014-07-28 07:44:50.333992821 -0400
+++ new/usr/src/uts/common/os/lgrp.c	2014-07-28 07:44:50.340016211 -0400
@@ -584,12 +584,12 @@
 		cp->cpu_lpl = lpl_bootstrap;
 
 		lgrp_plat_config(event, resource);
-		atomic_add_32(&lgrp_gen, 1);
+		atomic_inc_32(&lgrp_gen);
 
 		break;
 	case LGRP_CONFIG_CPU_DEL:
 		lgrp_plat_config(event, resource);
-		atomic_add_32(&lgrp_gen, 1);
+		atomic_inc_32(&lgrp_gen);
 
 		break;
 	case LGRP_CONFIG_CPU_ONLINE:
@@ -601,7 +601,7 @@
 			panic("lpl_topo_verify failed: %d", rc);
 		}
 		lgrp_plat_config(event, resource);
-		atomic_add_32(&lgrp_gen, 1);
+		atomic_inc_32(&lgrp_gen);
 
 		break;
 	case LGRP_CONFIG_CPU_OFFLINE:
@@ -614,7 +614,7 @@
 			panic("lpl_topo_verify failed: %d", rc);
 		}
 		lgrp_plat_config(event, resource);
-		atomic_add_32(&lgrp_gen, 1);
+		atomic_inc_32(&lgrp_gen);
 
 		break;
 	case LGRP_CONFIG_CPUPART_ADD:
@@ -643,12 +643,12 @@
 	 */
 	case LGRP_CONFIG_MEM_ADD:
 		lgrp_mem_init((int)resource, where, B_FALSE);
-		atomic_add_32(&lgrp_gen, 1);
+		atomic_inc_32(&lgrp_gen);
 
 		break;
 	case LGRP_CONFIG_MEM_DEL:
 		lgrp_mem_fini((int)resource, where, B_FALSE);
-		atomic_add_32(&lgrp_gen, 1);
+		atomic_inc_32(&lgrp_gen);
 
 		break;
 	case LGRP_CONFIG_MEM_RENAME: {
@@ -658,12 +658,12 @@
 		lgrp_mem_rename((int)resource,
 		    ren_arg->lmem_rename_from,
 		    ren_arg->lmem_rename_to);
-		atomic_add_32(&lgrp_gen, 1);
+		atomic_inc_32(&lgrp_gen);
 
 		break;
 	}
 	case LGRP_CONFIG_GEN_UPDATE:
-		atomic_add_32(&lgrp_gen, 1);
+		atomic_inc_32(&lgrp_gen);
 
 		break;
 	case LGRP_CONFIG_FLATTEN:
--- old/usr/src/uts/common/os/mmapobj.c	2014-07-28 07:44:50.653219076 -0400
+++ new/usr/src/uts/common/os/mmapobj.c	2014-07-28 07:44:50.659152725 -0400
@@ -309,9 +309,9 @@
 		vmem_xfree(is_64bit ? lib_va_64_arena : lib_va_32_arena,
 		    lvp->lv_base_va, lvp->lv_len);
 		if (is_64bit) {
-			atomic_add_32(&libs_mapped_64, -1);
+			atomic_dec_32(&libs_mapped_64);
 		} else {
-			atomic_add_32(&libs_mapped_32, -1);
+			atomic_dec_32(&libs_mapped_32);
 		}
 	}
 	kmem_free(lvp, sizeof (struct lib_va));
@@ -472,10 +472,10 @@
 
 	if (base_va != NULL) {
 		if (model == DATAMODEL_LP64) {
-			atomic_add_32(&libs_mapped_64, 1);
+			atomic_inc_32(&libs_mapped_64);
 		} else {
 			ASSERT(model == DATAMODEL_ILP32);
-			atomic_add_32(&libs_mapped_32, 1);
+			atomic_inc_32(&libs_mapped_32);
 		}
 	}
 	ASSERT(*tmp == NULL);
--- old/usr/src/uts/common/os/pool.c	2014-07-28 07:44:50.897619712 -0400
+++ new/usr/src/uts/common/os/pool.c	2014-07-28 07:44:50.903572291 -0400
@@ -1687,9 +1687,9 @@
 		 */
 		if (p->p_pool != pool) {
 			ASSERT(p->p_pool->pool_ref > 0);
-			atomic_add_32(&p->p_pool->pool_ref, -1);
+			atomic_dec_32(&p->p_pool->pool_ref);
 			p->p_pool = pool;
-			atomic_add_32(&p->p_pool->pool_ref, 1);
+			atomic_inc_32(&p->p_pool->pool_ref);
 		}
 		/*
 		 * Okay, we've tortured this guy enough.
--- old/usr/src/uts/common/os/refstr.c	2014-07-28 07:44:51.117509403 -0400
+++ new/usr/src/uts/common/os/refstr.c	2014-07-28 07:44:51.123488389 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/systm.h>
 #include <sys/param.h>
 #include <sys/atomic.h>
@@ -57,12 +55,12 @@
 void
 refstr_hold(refstr_t *rsp)
 {
-	atomic_add_32(&rsp->rs_refcnt, 1);
+	atomic_inc_32(&rsp->rs_refcnt);
 }
 
 void
 refstr_rele(refstr_t *rsp)
 {
-	if (atomic_add_32_nv(&rsp->rs_refcnt, -1) == 0)
+	if (atomic_dec_32_nv(&rsp->rs_refcnt) == 0)
 		kmem_free(rsp, (size_t)rsp->rs_size);
 }
--- old/usr/src/uts/common/os/sid.c	2014-07-28 07:44:51.279556126 -0400
+++ new/usr/src/uts/common/os/sid.c	2014-07-28 07:44:51.285692601 -0400
@@ -79,13 +79,13 @@
 void
 ksiddomain_hold(ksiddomain_t *kd)
 {
-	atomic_add_32(&kd->kd_ref, 1);
+	atomic_inc_32(&kd->kd_ref);
 }
 
 void
 ksiddomain_rele(ksiddomain_t *kd)
 {
-	if (atomic_add_32_nv(&kd->kd_ref, -1) == 0) {
+	if (atomic_dec_32_nv(&kd->kd_ref) == 0) {
 		/*
 		 * The kd reference can only be incremented from 0 when
 		 * the sid_lock is held; so we lock and then check need to
@@ -104,13 +104,13 @@
 void
 ksidlist_hold(ksidlist_t *ksl)
 {
-	atomic_add_32(&ksl->ksl_ref, 1);
+	atomic_inc_32(&ksl->ksl_ref);
 }
 
 void
 ksidlist_rele(ksidlist_t *ksl)
 {
-	if (atomic_add_32_nv(&ksl->ksl_ref, -1) == 0) {
+	if (atomic_dec_32_nv(&ksl->ksl_ref) == 0) {
 		int i;
 
 		for (i = 0; i < ksl->ksl_nsid; i++)
@@ -261,13 +261,13 @@
 void
 kcrsid_hold(credsid_t *kcr)
 {
-	atomic_add_32(&kcr->kr_ref, 1);
+	atomic_inc_32(&kcr->kr_ref);
 }
 
 void
 kcrsid_rele(credsid_t *kcr)
 {
-	if (atomic_add_32_nv(&kcr->kr_ref, -1) == 0) {
+	if (atomic_dec_32_nv(&kcr->kr_ref) == 0) {
 		ksid_index_t i;
 
 		for (i = 0; i < KSID_COUNT; i++)
--- old/usr/src/uts/common/os/strsubr.c	2014-07-28 07:44:51.457365170 -0400
+++ new/usr/src/uts/common/os/strsubr.c	2014-07-28 07:44:51.463574401 -0400
@@ -2653,7 +2653,7 @@
 	rw_enter(&perdm_rwlock, RW_READER);
 	for (p = perdm_list; p != NULL; p = p->dm_next) {
 		if (p->dm_str == str) {	/* found one */
-			atomic_add_32(&(p->dm_ref), 1);
+			atomic_inc_32(&(p->dm_ref));
 			rw_exit(&perdm_rwlock);
 			return (p);
 		}
--- old/usr/src/uts/common/os/sunddi.c	2014-07-28 07:44:51.919238487 -0400
+++ new/usr/src/uts/common/os/sunddi.c	2014-07-28 07:44:51.925569949 -0400
@@ -8092,7 +8092,7 @@
 	(*cp->callbacks.cbo_umem_lock_cleanup)((ddi_umem_cookie_t)cp);
 
 	/* remove the cookie if reference goes to zero */
-	if (atomic_add_long_nv((ulong_t *)(&(cp->cook_refcnt)), -1) == 0) {
+	if (atomic_dec_ulong_nv((ulong_t *)(&(cp->cook_refcnt))) == 0) {
 		kmem_free(cp, sizeof (struct ddi_umem_cookie));
 	}
 }
@@ -8487,7 +8487,7 @@
 		 * case, just return the cookie memory.
 		 */
 		if ((rc != AS_CALLBACK_DELETE_DEFERRED) ||
-		    (atomic_add_long_nv((ulong_t *)(&(p->cook_refcnt)), -1)
+		    (atomic_dec_ulong_nv((ulong_t *)(&(p->cook_refcnt)))
 		    == 0)) {
 			kmem_free(p, sizeof (struct ddi_umem_cookie));
 		}
--- old/usr/src/uts/common/os/task.c	2014-07-28 07:44:52.406379316 -0400
+++ new/usr/src/uts/common/os/task.c	2014-07-28 07:44:52.412339265 -0400
@@ -373,7 +373,7 @@
 
 	mutex_enter(&task_hash_lock);
 	if ((tk = task_find(id, zoneid)) != NULL)
-		atomic_add_32(&tk->tk_hold_count, 1);
+		atomic_inc_32(&tk->tk_hold_count);
 	mutex_exit(&task_hash_lock);
 
 	return (tk);
@@ -406,7 +406,7 @@
 void
 task_hold(task_t *tk)
 {
-	atomic_add_32(&tk->tk_hold_count, 1);
+	atomic_inc_32(&tk->tk_hold_count);
 }
 
 /*
--- old/usr/src/uts/common/os/tlabel.c	2014-07-28 07:44:52.605550847 -0400
+++ new/usr/src/uts/common/os/tlabel.c	2014-07-28 07:44:52.611509305 -0400
@@ -121,7 +121,7 @@
 void
 label_hold(ts_label_t *lab)
 {
-	atomic_add_32(&lab->tsl_ref, 1);
+	atomic_inc_32(&lab->tsl_ref);
 }
 
 /*
@@ -130,7 +130,7 @@
 void
 label_rele(ts_label_t *lab)
 {
-	if (atomic_add_32_nv(&lab->tsl_ref, -1) == 0)
+	if (atomic_dec_32_nv(&lab->tsl_ref) == 0)
 		kmem_cache_free(tslabel_cache, lab);
 }
 
--- old/usr/src/uts/common/os/vmem.c	2014-07-28 07:44:52.787443545 -0400
+++ new/usr/src/uts/common/os/vmem.c	2014-07-28 07:44:52.793455777 -0400
@@ -1453,7 +1453,7 @@
 	vmem_t *vmp, *cur, **vmpp;
 	vmem_seg_t *vsp;
 	vmem_freelist_t *vfp;
-	uint32_t id = atomic_add_32_nv(&vmem_id, 1);
+	uint32_t id = atomic_inc_32_nv(&vmem_id);
 
 	if (vmem_vmem_arena != NULL) {
 		vmp = vmem_alloc(vmem_vmem_arena, sizeof (vmem_t),
@@ -1555,7 +1555,7 @@
 
 	if (vmp->vm_cflags & VMC_POPULATOR) {
 		ASSERT(vmem_populators < VMEM_INITIAL);
-		vmem_populator[atomic_add_32_nv(&vmem_populators, 1) - 1] = vmp;
+		vmem_populator[atomic_inc_32_nv(&vmem_populators) - 1] = vmp;
 		mutex_enter(&vmp->vm_lock);
 		(void) vmem_populate(vmp, vmflag | VM_PANIC);
 		mutex_exit(&vmp->vm_lock);
--- old/usr/src/uts/common/rpc/clnt_clts.c	2014-07-28 07:44:53.013936986 -0400
+++ new/usr/src/uts/common/rpc/clnt_clts.c	2014-07-28 07:44:53.019940142 -0400
@@ -243,7 +243,7 @@
 	sizeof (clts_rcstat_tmpl) / sizeof (kstat_named_t);
 
 #define	RCSTAT_INCR(s, x)			\
-	atomic_add_64(&(s)->x.value.ui64, 1)
+	atomic_inc_64(&(s)->x.value.ui64)
 
 #define	ptoh(p)		(&((p)->cku_client))
 #define	htop(h)		((struct cku_private *)((h)->cl_private))
--- old/usr/src/uts/common/rpc/clnt_cots.c	2014-07-28 07:44:53.260580746 -0400
+++ new/usr/src/uts/common/rpc/clnt_cots.c	2014-07-28 07:44:53.266619490 -0400
@@ -465,7 +465,7 @@
 };
 
 #define	COTSRCSTAT_INCR(p, x)	\
-	atomic_add_64(&(p)->x.value.ui64, 1)
+	atomic_inc_64(&(p)->x.value.ui64)
 
 #define	CLNT_MAX_CONNS	1	/* concurrent connections between clnt/srvr */
 int clnt_max_conns = CLNT_MAX_CONNS;
@@ -2795,7 +2795,7 @@
 	 * We need to increment rpc_kstat_instance atomically to prevent
 	 * two kstats being created with the same instance.
 	 */
-	kstat_instance = atomic_add_32_nv((uint32_t *)&rpc_kstat_instance, 1);
+	kstat_instance = atomic_inc_32_nv((uint32_t *)&rpc_kstat_instance);
 
 	if ((cm_entry->x_ksp = kstat_create_zone("unix", kstat_instance,
 	    "rpc_cots_connections", "rpc", KSTAT_TYPE_NAMED,
--- old/usr/src/uts/common/rpc/svc_clts.c	2014-07-28 07:44:53.563081937 -0400
+++ new/usr/src/uts/common/rpc/svc_clts.c	2014-07-28 07:44:53.568984921 -0400
@@ -141,7 +141,7 @@
 	(struct rpc_clts_server *)(clone_xprt)->xp_master->xp_p2
 
 #define	RSSTAT_INCR(stats, x)	\
-	atomic_add_64(&(stats)->x.value.ui64, 1)
+	atomic_inc_64(&(stats)->x.value.ui64)
 
 /*
  * Create a transport record.
--- old/usr/src/uts/common/rpc/svc_cots.c	2014-07-28 07:44:53.759875075 -0400
+++ new/usr/src/uts/common/rpc/svc_cots.c	2014-07-28 07:44:53.765835661 -0400
@@ -149,7 +149,7 @@
 #define	CLONE2STATS(clone_xprt)	\
 	((struct cots_master_data *)(clone_xprt)->xp_master->xp_p2)->cmd_stats
 #define	RSSTAT_INCR(s, x)	\
-	atomic_add_64(&(s)->x.value.ui64, 1)
+	atomic_inc_64(&(s)->x.value.ui64)
 
 /*
  * Pointer to a transport specific `ready to receive' function in rpcmod
--- old/usr/src/uts/common/rpc/svc_rdma.c	2014-07-28 07:44:53.955992292 -0400
+++ new/usr/src/uts/common/rpc/svc_rdma.c	2014-07-28 07:44:53.961925790 -0400
@@ -182,7 +182,7 @@
 kstat_named_t *rdmarsstat_ptr = (kstat_named_t *)&rdmarsstat;
 uint_t rdmarsstat_ndata = sizeof (rdmarsstat) / sizeof (kstat_named_t);
 
-#define	RSSTAT_INCR(x)	atomic_add_64(&rdmarsstat.x.value.ui64, 1)
+#define	RSSTAT_INCR(x)	atomic_inc_64(&rdmarsstat.x.value.ui64)
 /*
  * Create a transport record.
  * The transport record, output buffer, and private data structure
--- old/usr/src/uts/common/sys/aggr_impl.h	2014-07-28 07:44:54.186304504 -0400
+++ new/usr/src/uts/common/sys/aggr_impl.h	2014-07-28 07:44:54.192130277 -0400
@@ -234,26 +234,26 @@
 } aggr_grp_t;
 
 #define	AGGR_GRP_REFHOLD(grp) {			\
-	atomic_add_32(&(grp)->lg_refs, 1);	\
+	atomic_inc_32(&(grp)->lg_refs);	\
 	ASSERT((grp)->lg_refs != 0);		\
 }
 
 #define	AGGR_GRP_REFRELE(grp) {					\
 	ASSERT((grp)->lg_refs != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(grp)->lg_refs, -1) == 0)		\
+	if (atomic_dec_32_nv(&(grp)->lg_refs) == 0)		\
 		aggr_grp_free(grp);				\
 }
 
 #define	AGGR_PORT_REFHOLD(port) {		\
-	atomic_add_32(&(port)->lp_refs, 1);	\
+	atomic_inc_32(&(port)->lp_refs);	\
 	ASSERT((port)->lp_refs != 0);		\
 }
 
 #define	AGGR_PORT_REFRELE(port) {				\
 	ASSERT((port)->lp_refs != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(port)->lp_refs, -1) == 0)	\
+	if (atomic_dec_32_nv(&(port)->lp_refs) == 0)	\
 		aggr_port_free(port);				\
 }
 
--- old/usr/src/uts/common/sys/crypto/impl.h	2014-07-28 07:44:54.359327334 -0400
+++ new/usr/src/uts/common/sys/crypto/impl.h	2014-07-28 07:44:54.365393278 -0400
@@ -396,7 +396,7 @@
  * by the policy table has a reference count of one.
  */
 #define	KCF_POLICY_REFHOLD(desc) {		\
-	atomic_add_32(&(desc)->pd_refcnt, 1);	\
+	atomic_inc_32(&(desc)->pd_refcnt);	\
 	ASSERT((desc)->pd_refcnt != 0);		\
 }
 
@@ -407,7 +407,7 @@
 #define	KCF_POLICY_REFRELE(desc) {				\
 	ASSERT((desc)->pd_refcnt != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(desc)->pd_refcnt, -1) == 0)	\
+	if (atomic_dec_32_nv(&(desc)->pd_refcnt) == 0)	\
 		kcf_policy_free_desc(desc);			\
 }
 
--- old/usr/src/uts/common/sys/crypto/sched_impl.h	2014-07-28 07:44:54.575582742 -0400
+++ new/usr/src/uts/common/sys/crypto/sched_impl.h	2014-07-28 07:44:54.581576860 -0400
@@ -117,8 +117,8 @@
 	error == CRYPTO_KEY_SIZE_RANGE ||	\
 	error == CRYPTO_NO_PERMISSION)
 
-#define	KCF_ATOMIC_INCR(x)	atomic_add_32(&(x), 1)
-#define	KCF_ATOMIC_DECR(x)	atomic_add_32(&(x), -1)
+#define	KCF_ATOMIC_INCR(x)	atomic_inc_32(&(x))
+#define	KCF_ATOMIC_DECR(x)	atomic_dec_32(&(x))
 
 /*
  * Node structure for synchronous requests.
@@ -210,14 +210,14 @@
 } kcf_areq_node_t;
 
 #define	KCF_AREQ_REFHOLD(areq) {		\
-	atomic_add_32(&(areq)->an_refcnt, 1);	\
+	atomic_inc_32(&(areq)->an_refcnt);	\
 	ASSERT((areq)->an_refcnt != 0);		\
 }
 
 #define	KCF_AREQ_REFRELE(areq) {				\
 	ASSERT((areq)->an_refcnt != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(areq)->an_refcnt, -1) == 0)	\
+	if (atomic_dec_32_nv(&(areq)->an_refcnt) == 0)	\
 		kcf_free_req(areq);				\
 }
 
@@ -314,7 +314,7 @@
  * do a hold.
  */
 #define	KCF_CONTEXT_REFHOLD(ictx) {		\
-	atomic_add_32(&(ictx)->kc_refcnt, 1);	\
+	atomic_inc_32(&(ictx)->kc_refcnt);	\
 	ASSERT((ictx)->kc_refcnt != 0);		\
 }
 
@@ -326,7 +326,7 @@
 #define	KCF_CONTEXT_REFRELE(ictx) {				\
 	ASSERT((ictx)->kc_refcnt != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(ictx)->kc_refcnt, -1) == 0)	\
+	if (atomic_dec_32_nv(&(ictx)->kc_refcnt) == 0)	\
 		kcf_free_context(ictx);				\
 }
 
--- old/usr/src/uts/common/sys/ib/clients/rdsv3/rdsv3_impl.h	2014-07-28 07:44:54.758082194 -0400
+++ new/usr/src/uts/common/sys/ib/clients/rdsv3/rdsv3_impl.h	2014-07-28 07:44:54.764129175 -0400
@@ -377,7 +377,7 @@
 static inline void
 rdsv3_sk_sock_hold(struct rsock *sk)
 {
-	atomic_add_32(&sk->sk_refcount, 1);
+	atomic_inc_32(&sk->sk_refcount);
 }
 static inline void
 rdsv3_sk_sock_put(struct rsock *sk)
--- old/usr/src/uts/common/syscall/corectl.c	2014-07-28 07:44:54.935172444 -0400
+++ new/usr/src/uts/common/syscall/corectl.c	2014-07-28 07:44:54.941237397 -0400
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/proc.h>
 #include <sys/systm.h>
 #include <sys/param.h>
@@ -105,13 +103,13 @@
 void
 corectl_content_hold(corectl_content_t *ccp)
 {
-	atomic_add_32(&ccp->ccc_refcnt, 1);
+	atomic_inc_32(&ccp->ccc_refcnt);
 }
 
 void
 corectl_content_rele(corectl_content_t *ccp)
 {
-	if (atomic_add_32_nv(&ccp->ccc_refcnt, -1) == 0)
+	if (atomic_dec_32_nv(&ccp->ccc_refcnt) == 0)
 		kmem_free(ccp, sizeof (corectl_content_t));
 }
 
@@ -154,13 +152,13 @@
 void
 corectl_path_hold(corectl_path_t *ccp)
 {
-	atomic_add_32(&ccp->ccp_refcnt, 1);
+	atomic_inc_32(&ccp->ccp_refcnt);
 }
 
 void
 corectl_path_rele(corectl_path_t *ccp)
 {
-	if (atomic_add_32_nv(&ccp->ccp_refcnt, -1) == 0) {
+	if (atomic_dec_32_nv(&ccp->ccp_refcnt) == 0) {
 		refstr_rele(ccp->ccp_path);
 		kmem_free(ccp, sizeof (corectl_path_t));
 	}
--- old/usr/src/uts/common/syscall/lwp_sobj.c	2014-07-28 07:44:55.118818104 -0400
+++ new/usr/src/uts/common/syscall/lwp_sobj.c	2014-07-28 07:44:55.125008875 -0400
@@ -195,7 +195,7 @@
 				if ((addr = ent->lwpchan_uaddr) != NULL)
 					lwp_mutex_unregister(addr);
 				kmem_free(ent, sizeof (*ent));
-				atomic_add_32(&lcp->lwpchan_entries, -1);
+				atomic_dec_32(&lcp->lwpchan_entries);
 			} else {
 				prev = &ent->lwpchan_next;
 			}
@@ -468,7 +468,7 @@
 	ent->lwpchan_lwpchan = *lwpchan;
 	ent->lwpchan_next = hashbucket->lwpchan_chain;
 	hashbucket->lwpchan_chain = ent;
-	atomic_add_32(&lcp->lwpchan_entries, 1);
+	atomic_inc_32(&lcp->lwpchan_entries);
 	mutex_exit(&hashbucket->lwpchan_lock);
 	return (1);
 }
--- old/usr/src/uts/common/vm/page_retire.c	2014-07-28 07:44:55.407976443 -0400
+++ new/usr/src/uts/common/vm/page_retire.c	2014-07-28 07:44:55.414023674 -0400
@@ -218,9 +218,9 @@
 static kstat_t  *page_retire_ksp = NULL;
 
 #define	PR_INCR_KSTAT(stat)	\
-	atomic_add_64(&(page_retire_kstat.stat.value.ui64), 1)
+	atomic_inc_64(&(page_retire_kstat.stat.value.ui64))
 #define	PR_DECR_KSTAT(stat)	\
-	atomic_add_64(&(page_retire_kstat.stat.value.ui64), -1)
+	atomic_dec_64(&(page_retire_kstat.stat.value.ui64))
 
 #define	PR_KSTAT_RETIRED_CE	(page_retire_kstat.pr_mce.value.ui64)
 #define	PR_KSTAT_RETIRED_FMA	(page_retire_kstat.pr_fma.value.ui64)
--- old/usr/src/uts/common/vm/seg_kmem.c	2014-07-28 07:44:55.612841395 -0400
+++ new/usr/src/uts/common/vm/seg_kmem.c	2014-07-28 07:44:55.618797491 -0400
@@ -1277,7 +1277,7 @@
 
 		if (lpthrt != 0) {
 			/* try to update the throttle value */
-			lpthrt = atomic_add_long_nv(lpthrtp, 1);
+			lpthrt = atomic_inc_ulong_nv(lpthrtp);
 			if (lpthrt >= segkmem_lpthrottle_max) {
 				lpthrt = atomic_cas_ulong(lpthrtp, lpthrt,
 				    segkmem_lpthrottle_max / 4);
--- old/usr/src/uts/common/vm/seg_kp.c	2014-07-28 07:44:55.828479988 -0400
+++ new/usr/src/uts/common/vm/seg_kp.c	2014-07-28 07:44:55.834433136 -0400
@@ -714,8 +714,7 @@
 				anon_free(kpd->kp_anon, kpd->kp_anon_idx + i,
 				    PAGESIZE);
 				anon_unresv_zone(PAGESIZE, NULL);
-				atomic_add_long(&anon_segkp_pages_resv,
-				    -1);
+				atomic_dec_ulong(&anon_segkp_pages_resv);
 			}
 			TRACE_5(TR_FAC_VM,
 			    TR_ANON_SEGKP, "anon segkp:%p %p %lu %u %u",
@@ -838,7 +837,7 @@
 		 */
 		curthread->t_red_pp = red_pp;
 
-		atomic_add_32(&red_nmapped, 1);
+		atomic_inc_32(&red_nmapped);
 		while (fp - (uintptr_t)curthread->t_stkbase < red_closest) {
 			(void) atomic_cas_32(&red_closest, red_closest,
 			    (uint32_t)(fp - (uintptr_t)curthread->t_stkbase));
@@ -849,7 +848,7 @@
 	stkbase = (caddr_t)(((uintptr_t)curthread->t_stkbase &
 	    (uintptr_t)PAGEMASK) - PAGESIZE);
 
-	atomic_add_32(&red_ndoubles, 1);
+	atomic_inc_32(&red_ndoubles);
 
 	if (fp - (uintptr_t)stkbase < RED_DEEP_THRESHOLD) {
 		/*
@@ -1437,7 +1436,7 @@
 static int
 segkp_mem_config_pre_del(void *arg, pgcnt_t delta_pages)
 {
-	atomic_add_32(&segkp_indel, 1);
+	atomic_inc_32(&segkp_indel);
 	segkp_cache_free();
 	return (0);
 }
@@ -1446,7 +1445,7 @@
 static void
 segkp_mem_config_post_del(void *arg, pgcnt_t delta_pages, int cancelled)
 {
-	atomic_add_32(&segkp_indel, -1);
+	atomic_dec_32(&segkp_indel);
 }
 
 static kphysm_setup_vector_t segkp_mem_config_vec = {
--- old/usr/src/uts/common/vm/seg_spt.c	2014-07-28 07:44:56.041895651 -0400
+++ new/usr/src/uts/common/vm/seg_spt.c	2014-07-28 07:44:56.047857406 -0400
@@ -1088,7 +1088,7 @@
 	 * In either case, we increment softlockcnt on the 'real' segment.
 	 */
 	sptd->spt_pcachecnt++;
-	atomic_add_long((ulong_t *)(&(shmd->shm_softlockcnt)), 1);
+	atomic_inc_ulong((ulong_t *)(&(shmd->shm_softlockcnt)));
 
 	ppa = sptd->spt_ppa;
 	for (an_idx = pg_idx; an_idx < pg_idx + npages; ) {
@@ -1367,7 +1367,7 @@
 	 * In either case, we increment softlockcnt on the 'real' segment.
 	 */
 	sptd->spt_pcachecnt++;
-	atomic_add_long((ulong_t *)(&(shmd->shm_softlockcnt)), 1);
+	atomic_inc_ulong((ulong_t *)(&(shmd->shm_softlockcnt)));
 
 	/*
 	 * We can now drop the sptd->spt_lock since the ppa[]
@@ -1519,7 +1519,7 @@
 	 * Now decrement softlockcnt.
 	 */
 	ASSERT(shmd->shm_softlockcnt > 0);
-	atomic_add_long((ulong_t *)(&(shmd->shm_softlockcnt)), -1);
+	atomic_dec_ulong((ulong_t *)(&(shmd->shm_softlockcnt)));
 
 	if (shmd->shm_softlockcnt <= 0) {
 		if (async || AS_ISUNMAPWAIT(seg->s_as)) {
@@ -2911,7 +2911,7 @@
 		 * to keep this segment resident.
 		 */
 		writer = AS_WRITE_HELD(seg->s_as, &seg->s_as->a_lock);
-		atomic_add_long((ulong_t *)(&(shmd->shm_softlockcnt)), 1);
+		atomic_inc_ulong((ulong_t *)(&(shmd->shm_softlockcnt)));
 		AS_LOCK_EXIT(seg->s_as, &seg->s_as->a_lock);
 
 		mutex_enter(&sptd->spt_lock);
@@ -2935,7 +2935,7 @@
 		/* Regrab the AS_LOCK and release our hold on the segment */
 		AS_LOCK_ENTER(seg->s_as, &seg->s_as->a_lock,
 		    writer ? RW_WRITER : RW_READER);
-		atomic_add_long((ulong_t *)(&(shmd->shm_softlockcnt)), -1);
+		atomic_dec_ulong((ulong_t *)(&(shmd->shm_softlockcnt)));
 		if (shmd->shm_softlockcnt <= 0) {
 			if (AS_ISUNMAPWAIT(seg->s_as)) {
 				mutex_enter(&seg->s_as->a_contents);
--- old/usr/src/uts/common/vm/seg_vn.c	2014-07-28 07:44:56.317299476 -0400
+++ new/usr/src/uts/common/vm/seg_vn.c	2014-07-28 07:44:56.323650163 -0400
@@ -2703,7 +2703,7 @@
 	}
 
 	if (type == F_SOFTLOCK) {
-		atomic_add_long((ulong_t *)&svd->softlockcnt, 1);
+		atomic_inc_ulong((ulong_t *)&svd->softlockcnt);
 	}
 
 	/*
@@ -3064,7 +3064,7 @@
 		anon_array_exit(&cookie);
 
 	if (type == F_SOFTLOCK) {
-		atomic_add_long((ulong_t *)&svd->softlockcnt, -1);
+		atomic_dec_ulong((ulong_t *)&svd->softlockcnt);
 	}
 	return (FC_MAKE_ERR(err));
 }
@@ -8892,11 +8892,11 @@
 
 		if (sftlck_sbase) {
 			ASSERT(svd->softlockcnt_sbase > 0);
-			atomic_add_long((ulong_t *)&svd->softlockcnt_sbase, -1);
+			atomic_dec_ulong((ulong_t *)&svd->softlockcnt_sbase);
 		}
 		if (sftlck_send) {
 			ASSERT(svd->softlockcnt_send > 0);
-			atomic_add_long((ulong_t *)&svd->softlockcnt_send, -1);
+			atomic_dec_ulong((ulong_t *)&svd->softlockcnt_send);
 		}
 
 		/*
@@ -8993,10 +8993,10 @@
 			    npages);
 		}
 		if (sftlck_sbase) {
-			atomic_add_long((ulong_t *)&svd->softlockcnt_sbase, 1);
+			atomic_inc_ulong((ulong_t *)&svd->softlockcnt_sbase);
 		}
 		if (sftlck_send) {
-			atomic_add_long((ulong_t *)&svd->softlockcnt_send, 1);
+			atomic_inc_ulong((ulong_t *)&svd->softlockcnt_send);
 		}
 		SEGVN_LOCK_EXIT(seg->s_as, &svd->lock);
 		*ppp = pplist + adjustpages;
@@ -9186,10 +9186,10 @@
 			wlen = len;
 		}
 		if (sftlck_sbase) {
-			atomic_add_long((ulong_t *)&svd->softlockcnt_sbase, 1);
+			atomic_inc_ulong((ulong_t *)&svd->softlockcnt_sbase);
 		}
 		if (sftlck_send) {
-			atomic_add_long((ulong_t *)&svd->softlockcnt_send, 1);
+			atomic_inc_ulong((ulong_t *)&svd->softlockcnt_send);
 		}
 		if (use_pcache) {
 			(void) seg_pinsert(seg, pamp, paddr, len, wlen, pl,
--- old/usr/src/uts/common/vm/vm_page.c	2014-07-28 07:44:56.857644608 -0400
+++ new/usr/src/uts/common/vm/vm_page.c	2014-07-28 07:44:56.863896645 -0400
@@ -317,7 +317,7 @@
 } memseg_stats;
 
 #define	MEMSEG_STAT_INCR(v) \
-	atomic_add_32(&memseg_stats.v, 1)
+	atomic_inc_32(&memseg_stats.v)
 #else
 #define	MEMSEG_STAT_INCR(x)
 #endif
--- old/usr/src/uts/common/vm/vm_pagelist.c	2014-07-28 07:44:57.272965265 -0400
+++ new/usr/src/uts/common/vm/vm_pagelist.c	2014-07-28 07:44:57.279085191 -0400
@@ -1563,7 +1563,7 @@
 	/*
 	 * Update cage freemem counter
 	 */
-	atomic_add_long(&kcage_freemem, 1);
+	atomic_inc_ulong(&kcage_freemem);
 }
 #else	/* __sparc */
 
@@ -4117,7 +4117,7 @@
 	uint_t	nnofree;
 	uint_t	nnext_pp;
 } repl_page_stats;
-#define	REPL_STAT_INCR(v)	atomic_add_32(&repl_page_stats.v, 1)
+#define	REPL_STAT_INCR(v)	atomic_inc_32(&repl_page_stats.v)
 #else /* REPL_PAGE_STATS */
 #define	REPL_STAT_INCR(v)
 #endif /* REPL_PAGE_STATS */
--- old/usr/src/uts/common/xen/io/xnb.c	2014-07-28 07:44:57.588472205 -0400
+++ new/usr/src/uts/common/xen/io/xnb.c	2014-07-28 07:44:57.594441185 -0400
@@ -1300,7 +1300,7 @@
 
 	DTRACE_PROBE(txbuf_allocated);
 
-	atomic_add_32(&xnbp->xnb_tx_buf_count, 1);
+	atomic_inc_32(&xnbp->xnb_tx_buf_count);
 	xnbp->xnb_tx_buf_outstanding++;
 
 	return (0);
@@ -1326,7 +1326,7 @@
 	ddi_dma_mem_free(&txp->xt_acc_handle);
 	ddi_dma_free_handle(&txp->xt_dma_handle);
 
-	atomic_add_32(&xnbp->xnb_tx_buf_count, -1);
+	atomic_dec_32(&xnbp->xnb_tx_buf_count);
 }
 
 /*
--- old/usr/src/uts/common/xen/io/xnf.c	2014-07-28 07:44:57.817672184 -0400
+++ new/usr/src/uts/common/xen/io/xnf.c	2014-07-28 07:44:57.823706514 -0400
@@ -366,7 +366,7 @@
 	if (gref == INVALID_GRANT_REF) {
 		xnfp->xnf_stat_gref_failure++;
 	} else {
-		atomic_add_64(&xnfp->xnf_stat_gref_outstanding, 1);
+		atomic_inc_64(&xnfp->xnf_stat_gref_outstanding);
 		if (xnfp->xnf_stat_gref_outstanding > xnfp->xnf_stat_gref_peak)
 			xnfp->xnf_stat_gref_peak =
 			    xnfp->xnf_stat_gref_outstanding;
@@ -387,7 +387,7 @@
 	gnttab_release_grant_reference(&xnfp->xnf_gref_head, gref);
 	mutex_exit(&xnfp->xnf_gref_lock);
 
-	atomic_add_64(&xnfp->xnf_stat_gref_outstanding, -1);
+	atomic_dec_64(&xnfp->xnf_stat_gref_outstanding);
 }
 
 /*
@@ -2352,7 +2352,7 @@
 	bdesc->grant_ref = INVALID_GRANT_REF;
 	bdesc->gen = xnfp->xnf_gen;
 
-	atomic_add_64(&xnfp->xnf_stat_buf_allocated, 1);
+	atomic_inc_64(&xnfp->xnf_stat_buf_allocated);
 
 	return (0);
 
@@ -2378,7 +2378,7 @@
 	ddi_dma_mem_free(&bdesc->acc_handle);
 	ddi_dma_free_handle(&bdesc->dma_handle);
 
-	atomic_add_64(&xnfp->xnf_stat_buf_allocated, -1);
+	atomic_dec_64(&xnfp->xnf_stat_buf_allocated);
 }
 
 static xnf_buf_t *
@@ -2412,7 +2412,7 @@
 	    xvdi_get_oeid(bufp->xnfp->xnf_devinfo),
 	    bufp->buf_mfn, readonly ? 1 : 0);
 
-	atomic_add_64(&xnfp->xnf_stat_buf_outstanding, 1);
+	atomic_inc_64(&xnfp->xnf_stat_buf_outstanding);
 
 	return (bufp);
 }
@@ -2429,7 +2429,7 @@
 
 	kmem_cache_free(xnfp->xnf_buf_cache, bufp);
 
-	atomic_add_64(&xnfp->xnf_stat_buf_outstanding, -1);
+	atomic_dec_64(&xnfp->xnf_stat_buf_outstanding);
 }
 
 /*
--- old/usr/src/uts/i86pc/io/psm/uppc.c	2014-07-28 07:44:58.076624490 -0400
+++ new/usr/src/uts/i86pc/io/psm/uppc.c	2014-07-28 07:44:58.082620725 -0400
@@ -317,7 +317,7 @@
 	uchar_t	vectmask;
 
 	if (irqno <= MAX_ISA_IRQ)
-		atomic_add_16(&uppc_irq_shared_table[irqno], 1);
+		atomic_inc_16(&uppc_irq_shared_table[irqno]);
 
 	if (ipl != min_ipl)
 		return (0);
@@ -360,7 +360,7 @@
 	uchar_t	vectmask;
 
 	if (irqno <= MAX_ISA_IRQ)
-		atomic_add_16(&uppc_irq_shared_table[irqno], -1);
+		atomic_dec_16(&uppc_irq_shared_table[irqno]);
 
 	/*
 	 * skip if we are not deleting the last handler
--- old/usr/src/uts/i86pc/os/memnode.c	2014-07-28 07:44:58.274891856 -0400
+++ new/usr/src/uts/i86pc/os/memnode.c	2014-07-28 07:44:58.280941650 -0400
@@ -97,7 +97,7 @@
 	} else {
 		mem_node_config[mnode].physbase = start;
 		mem_node_config[mnode].physmax = end;
-		atomic_add_16(&num_memnodes, 1);
+		atomic_inc_16(&num_memnodes);
 		do {
 			oldmask = memnodes_mask;
 			newmask = memnodes_mask | (1ull << mnode);
@@ -163,7 +163,7 @@
 			omask = memnodes_mask;
 			nmask = omask & ~(1ull << mnode);
 		} while (atomic_cas_64(&memnodes_mask, omask, nmask) != omask);
-		atomic_add_16(&num_memnodes, -1);
+		atomic_dec_16(&num_memnodes);
 		mem_node_config[mnode].exists = 0;
 	}
 }
@@ -239,7 +239,7 @@
 
 	mem_node_config[mnode].physbase = (pfn_t)-1l;
 	mem_node_config[mnode].physmax = 0;
-	atomic_add_16(&num_memnodes, 1);
+	atomic_inc_16(&num_memnodes);
 	do {
 		oldmask = memnodes_mask;
 		newmask = memnodes_mask | (1ull << mnode);
--- old/usr/src/uts/i86pc/sys/rootnex.h	2014-07-28 07:44:58.447425562 -0400
+++ new/usr/src/uts/i86pc/sys/rootnex.h	2014-07-28 07:44:58.453469255 -0400
@@ -51,7 +51,7 @@
 /* atomic increment/decrement to keep track of outstanding binds, etc */
 #ifdef DEBUG
 #define	ROOTNEX_DPROF_INC(addr)		atomic_inc_64(addr)
-#define	ROOTNEX_DPROF_DEC(addr)		atomic_add_64(addr, -1)
+#define	ROOTNEX_DPROF_DEC(addr)		atomic_dec_64(addr)
 #define	ROOTNEX_DPROBE1(name, type1, arg1) \
 	DTRACE_PROBE1(name, type1, arg1)
 #define	ROOTNEX_DPROBE2(name, type1, arg1, type2, arg2) \
--- old/usr/src/uts/i86pc/vm/hat_i86.c	2014-07-28 07:44:58.621459437 -0400
+++ new/usr/src/uts/i86pc/vm/hat_i86.c	2014-07-28 07:44:58.627384078 -0400
@@ -1227,14 +1227,14 @@
 int
 hat_stats_enable(hat_t *hat)
 {
-	atomic_add_32(&hat->hat_stats, 1);
+	atomic_inc_32(&hat->hat_stats);
 	return (1);
 }
 
 void
 hat_stats_disable(hat_t *hat)
 {
-	atomic_add_32(&hat->hat_stats, -1);
+	atomic_dec_32(&hat->hat_stats);
 }
 
 /*
--- old/usr/src/uts/i86pc/vm/hat_i86.h	2014-07-28 07:44:58.928688740 -0400
+++ new/usr/src/uts/i86pc/vm/hat_i86.h	2014-07-28 07:44:58.934677520 -0400
@@ -98,9 +98,9 @@
 typedef struct hat hat_t;
 
 #define	PGCNT_INC(hat, level)	\
-	atomic_add_long(&(hat)->hat_pages_mapped[level], 1);
+	atomic_inc_ulong(&(hat)->hat_pages_mapped[level]);
 #define	PGCNT_DEC(hat, level)	\
-	atomic_add_long(&(hat)->hat_pages_mapped[level], -1);
+	atomic_dec_ulong(&(hat)->hat_pages_mapped[level]);
 
 /*
  * Flags for the hat_flags field
